<template>

    <v-container fluid >
        <v-row dense>
            <v-col
            v-for="(project, i) in projects" 
            :key="i"
            class="d-flex flex-wrap">
                <v-card
                :href="project.link"
                target="_blank"
                class="my-6 mx-auto"
                color="accent"
                outlined
                :min-height="project.size"
                max-width="500"
                >
                    <v-row dense>
                        <img
                            class="ml-3 mt-3"
                            alt="logo"
                            :src="project.logo.src"
                            :width="project.logo.width"
                            :height="project.logo.height"
                            contain>
                        <v-card-title class="text-h5 primary--text" >{{ project.name }}</v-card-title>
                    </v-row>
                    
                    <v-divider class="mx-auto" inset color="white"></v-divider>   
                    <v-card-subtitle class="white--text text-justify text-subtitle-1">
                        {{ project.cadre }}
                    </v-card-subtitle>
                    <v-card-text> 
                    <v-divider color="black" class=" my-2"></v-divider> 
                
                    <div class="my-4 text-subtitle-3 text-justify">
                        {{ project.description}}
                    </div>
                    <v-divider inset class="mx-auto my-2" color="black"></v-divider> 
                    <v-list-item
                    v-for="(info, index) in project.infos" 
                    :key="index">
                        <v-icon class="mr-3" color="primary">{{ info.icon  }}</v-icon>
                        <v-list-item-content>
                            <v-list-item-title class="secondary--text"> {{ info.name }}</v-list-item-title>
                        </v-list-item-content>
                    </v-list-item>
                    </v-card-text>
                </v-card>
            </v-col>
        </v-row>

    </v-container>
    
</template>

<script>

export default ({
    data() {
        return {
            projects: [
                {
                    logo: {
                        src: "https://gitlab.com/ErnArt/fithlon/-/raw/master/resources/logoFithlon.png",
                        width: 100,
                        height: 40,
                    },
                    name: "Fithlon",
                    flex: 6,
                    link: "https://gitlab.com/ErnArt/fithlon",
                    cadre: "Ce projet à été effectuer dans le cadre du master 1, sur 3 jours et en équipe pour mettre en place une méthode agile.",
                    description: "Notre projet consiste à créer un nouveau service pour gérer des indicateurs de santé. En effet, nous devons créer un service qui permet de gérer l’ensemble des indicateurs de santé (poids, IMC, sommeil, fréquence cardiaque, ...). L'utilisateur pourra donc visualiser ses propres statistiques.",
                    infos: [
                        {
                            icon: "mdi-language-javascript",
                            name: "JavaScript",
                        },
                        {
                            icon: "mdi-record",
                            name: "Cypress",
                        },
                        {
                            icon: "mdi-account-multiple",
                            name: "Méthode Agile",
                        }
                    ],
                    size: 500

                },
                {
                    logo: {
                        src: "https://gitlab.com/webservicesulco/gamingsessions/-/raw/master/gamingsessions.Front/ClientApp/src/icons/favicon.ico",
                        width: 40,
                        height: 40,
                    },
                    name: "GamingSessions",
                    flex: 6,
                    link: "https://gitlab.com/webservicesulco/gamingsessions",
                    cadre: "Ce projet était notre examen de web service, par groupe de 3.",
                    description: "Le projet est une application qui permet de créer et/ou rejoindre des sessions de jeux. Cette application à été faite pour le back end en ASP .NET Core (3.1) imposé par notre professeur et dans le langage de notre choix pour le front end et nous avons décidé de prendre le framework React js. Nous avons fait du SQLite pour la base de données.",
                    infos: [
                        {
                            icon: "mdi-language-csharp",
                            name: "ASP .NET Core (3.1)",
                        },
                        {
                            icon: "mdi-database",
                            name: "SQLite",
                        },
                        {
                            icon: "mdi-language-javascript",
                            name: "Framework: React js",
                        }
                    ],
                    size: 500
                },
                {
                    logo: {
                        src: "https://gitlab.com/alexis.telliez/projetalgoavance/-/raw/master/Capture.PNG",
                        width: 40,
                        height: 40,
                    },      
                    name: "Gloutons",
                    flex: 6,
                    link: "https://gitlab.com/alexis.telliez/projetalgoavance",
                    cadre: "Ce projet était notre examen d'algorithmique avancée en première année de master.",
                    description: "Le projet consistait à mettre en place un algorithme glouton permettant de placer, à partir d'une instance, des batiments sur une grille, dont les dimensions sont fournies par cette instance. Le premier bâtiment de la liste était l'hôtel de ville. Le but était d'avoir tous les batiments reliés à l'hôtel de ville par une route, tout en maximisant l'espace occupé sur la grille, sans compter les routes. Ce projet à été réalisé en Java.",
                    infos: [
                        {
                            icon: "mdi-coffee-outline",
                            name: "Java",
                        },
                        {
                            icon: "mdi-cube-unfolded",
                            name: "Algorithmes gloutons"
                        }
                    ],
                    
                    
                        
                    
                    size: 550
                },
                {
                    logo: {
                        src: "https://upload.wikimedia.org/wikipedia/fr/5/57/Dealabs_Logo.svg",
                        width: 100,
                        height: 40,
                    },
                    name: "Dlabs",
                    flex: 6,
                    link: "https://gitlab.com/alexis.telliez/dlabs",
                    cadre: "Ce projet est un tp dans le cadre de notre cours de JEE.",
                    description: "Le projet consiste à créer un dealabs (https://www.dealabs.com/) dans le cadre de notre cours application multi tier.",
                    infos: [
                        {
                            icon: "mdi-coffee-outline",
                            name: "JEE",
                        },
                        {
                            icon: "mdi-database",
                            name: "MySQL",
                        },
                        {
                            icon: "mdi-language-javascript",
                            name: "Framework: Nuxtjs",
                        }
                    ],
                    size: 550
                },
                {
                    logo: {
                        src: "https://gitlab.com/alexis.telliez/portfolio/-/raw/main/ressources/photo.jpg",
                        width: 50,
                        height: 40,
                    },
                    name: "Portfolio",
                    flex: 6,
                    link: "https://gitlab.com/alexis.telliez/portfolio",
                    cadre: "Ce projet est en relation avec ma formation actuelle.",
                    description: "Étant étudiant en Master Web et Science de données, j'ai voulu faire un portfolio pour montrer tous les projets effectués pendant mes études.",
                    infos: [
                        {
                            icon: "mdi-language-javascript",
                            name: "Framework: Nuxtjs",
                        }
                    ],
                    size: 550
                }
            ]
        }
    }
})
</script>
